# General Translation Platform: Recupera le informazioni sul branch
URL: https://generaltranslation.com/it/docs/platform/openapi/reference/project/branch-info.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Restituisce il branch predefinito del progetto e tutti i branch richiesti per nome. Riferimento API per Recupera le informazioni sul branch.

{/* Questo file è stato generato da Fumadocs. Non modificarlo direttamente. Eventuali modifiche devono essere apportate eseguendo di nuovo il comando di generazione. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/branches/info`

**Operation ID:** `getBranchInfo`

**Tags:** `Project`

**Summary:** Get branch information

Return the Project's default branch and any branches requested by name.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `branchNames` (string[]) Default: `[]`.

### Responses

**200**: Branch information
Response body (`application/json`, object):
- `branches` (object[], required)
  - `id` (string, required)
  - `name` (string, required)
- `defaultBranch` (object & object | null, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
